uuid: 0aa0b225-80fd-4680-a78d-af83796de011
langcode: en
status: true
dependencies: {  }
id: upgrade_d6_comment_entity_form_display_subject
class: Drupal\migrate\Plugin\Migration
field_plugin_method: alterFieldFormatterMigration
cck_plugin_method: null
migration_tags:
  - 'Drupal 6'
  - Configuration
migration_group: migrate_drupal_6
label: 'Comment subject form display configuration'
source:
  plugin: d6_node_type
  constants:
    entity_type: comment
    field_name: subject
    form_mode: default
    options:
      type: string_textfield
      weight: 10
process:
  entity_type:
    -
      plugin: get
      source: constants/entity_type
  field_name:
    -
      plugin: get
      source: constants/field_name
  form_mode:
    -
      plugin: get
      source: constants/form_mode
  options:
    -
      plugin: get
      source: constants/options
  bundle:
    -
      plugin: migration_lookup
      source: type
      migration: upgrade_d6_comment_type
    -
      plugin: skip_on_empty
      method: row
  hidden:
    -
      plugin: static_map
      source: comment_subject_field
      map:
        - true
        - false
      default_value: false
destination:
  plugin: component_entity_form_display
migration_dependencies:
  required:
    - upgrade_d6_comment_type
  optional:
    - upgrade_d6_comment_type
